const compose = require('../utils/compose')

const applyMiddleware = (...middleware) => (
  compose(
    next => (event, context, callback) => next({ event, context, callback }),
    ...middleware,
    next => ({ event, context, callback }) => next(event, context, callback),
  )
)

module.exports = applyMiddleware
