const awsResponseMiddleware = next => async lambdaParams => {
  const response = await next(lambdaParams)

  if (response && response.statusCode >= 400) return response
  return { statusCode: 200, body: response }
}

module.exports = awsResponseMiddleware
